Requests a return of sub results for values within the given facet

- « SolrQuery::addSortField

- SolrQuery::addStatsField »

- PHP Manual
- SolrQuery
- Requests a return of sub results for values within the given facet

# SolrQuery::addStatsFacet

(PECL solr >= 0.9.2)

SolrQuery::addStatsFacet — Requests a return of sub results for values within the given facet

### Description

public SolrQuery::addStatsFacet(string `$field`): SolrQuery

Requests a return of sub results for values within the given facet. Maps to the stats.facet field

### Parameters

`field`

  The name of the field

### Return Values

Returns the current SolrQuery object, if the return value is used.